Packages - Bug #1567

[linux-libre][x86_64] Missing kernel modules
2017-12-13 02:05 AM - Popelevi

Status: fixed % Done: 80%
Priority: broken

Assignee: Megver83

Category:

Description

After updating from linux-libre 4.13.13 to 4.14.4, system is unbootable if using disk encryption.
“mkinitcpio -p linux-libre™ spits out a bunch of errors about missing modules relating to dm-crypt (see attached log).

On another PC (which doesn't use disk encryption), mkinitpcio complains about a missing 'radeon' module after the update.

Both systems were working fine before the update, and downgrading the kernel fixes the issue --- mkinitcpio is completely happy.

Note lines 16 through 18 of the log. Does this issue relate to #15667

Related issues:
Related to Packages - Bug #1566: [linux-libre] syntax errors in linux.install

fixed 2017-12-12

History

#1 - 2017-12-13 04:02 AM - amanita

System using disk encryption became unbootable:

device-mapper: table: 253.0 crypt: unknown target type

device-mapper: ioctl: error adding target to table

device mapper: reload ioctl on temporary-cryptsetup-1917 failed: invalid argument
Failed to setup dm-crypt key mapping for device /dev/sdai.

Check that kernel supports serpent-xts-plain64 cypher (check syslog for more info).

Nothing on journalctl. Not sure what syslog to check for more info.
Downgrading fromvlinux-libre 4.14.4 to 4.13.13 fixes the issue.

#2 - 2017-12-13 04:14 AM - amanita

pacman.log very similar to PopeLevi

#3 - 2017-12-13 07:03 AM - PopeLevi

amanita wrote:
System using disk encryption became unbootable:

device-mapper: table: 253.0 crypt: unknown target type

device-mapper: ioctl: error adding target to table

device mapper: reload ioctl on temporary-cryptsetup-1917 failed: invalid argument
Failed to setup dm-crypt key mapping for device /dev/sdai.

Check that kernel supports serpent-xts-plain64 cypher (check syslog for more info).

Nothing on journalctl. Not sure what syslog to check for more info.

Downgrading fromvlinux-libre 4.14.4 to 4.13.13 fixes the issue.

Should have noted this originally, but this is the error | got on boot as well.

#4 - 2017-12-13 07:58 AM - reg

Same issue. It's unbootable even without disk encryption.

#5 - 2017-12-13 10:18 AM - oaken-source

| have temporarily removed linux-libre-4.14.4 from the repos, until this is resolved. (thank you ebrasca for the suggestion)
#6 - 2017-12-13 07:35 PM - glumpo
- File pacman.log added
- File mkinitcpio.conf added

- File pacman.log.tail44 added

While downgrading linux-libre to version 4.13.9 | get erors like

ERROR: binary dependency " libcryptsetup.so.4' not found for " /usr/lib/systemd/systemd-udevd'
Full output in attachment.

UDP:
But upgrading to 4.13.13 works without errors, so, looks like it doesn’t matter
(At first | downgraded to 4.13.9 as it was the newest it cache, after 4.14.4)

#7 - 2017-12-15 01:29 AM - Megver83
- Estimated time set to 72.00 h
- % Done changed from 0 to 40

- Assignee set to Megver83

| made some mistakes in the PKGBUILD, right now I'm trying the fixed one and uploaded at [libre-testing], so if anyone can test it please.
https:/git.parabola.nu/abslibre.git/commit/?id=f0d3a651744c676c319564cc0004526999412c3e

#8 - 2017-12-15 10:04 AM - PopeLevi

The kernel in linux-libre looks like it's on version 4.10.1 from here:

warning: linux-libre: local (4.13.13_gnu-1) is newer than libre-testing (4.10.1_gnu-1)

#9 - 2017-12-15 10:07 AM - PopeLevi

e kernel in libre-testing

#10 - 2017-12-15 05:14 PM - Megver83

- Related to Bug #1566: [linux-libre] syntax errors in linux.install added

#11 - 2017-12-15 05:16 PM - Megver83

| was not able to upload it since db-update thought that the package already existed on [libre], so | had to re-compile with pkgrel=2, right now | can't
upload it since | can't access ebrasca's ssh (where | compiled it).

However, when it's available I'll notify it on the dev mailing list.

#12 - 2017-12-16 09:54 AM - PopeLevi

Just updated, no problems & running as expected

#13 - 2017-12-16 09:02 PM - Megver83

PopeLevi wrote:

Just updated, no problems & running as expected

Yep, and here is the announce on the mailing list -> https:/lists.parabola.nu/pipermail/dev/2017-December/006180.html

#14 - 2017-12-16 09:02 PM - Megver83
- % Done changed from 40 to 80

#15 - 2017-12-16 09:02 PM - Megver83

- Status changed from open to in progress

#16 - 2018-01-17 06:01 PM - oaken-source

- Status changed from in progress to fixed
